2006-04-26  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Bump to 0.9.1

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* src/Xrender.c:
	Coverity #428: Fix a potential NULL chase.
	Coverity #930: Verify that a malloc succeeds.

2005-12-14  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version number for final X11R7 release candidate.

2005-12-03  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version number for X11R7 RC3 release.

2005-12-02  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* src/Makefile.am:
	Add check and cflags for malloc(0) returning NULL.

2005-11-19  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* xrender.pc.in:
	Update pkgconfig files to separate library build-time dependencies
	from application build-time dependencies.
	* configure.ac:
	Update dependencies to work with separate build roots.

2005-07-08  Keith Packard  <keithp@keithp.com>

	* .cvsignore:
	* src/.cvsignore:
	Add .cvsignore files

2005-06-09  Alexander Gottwald  <ago@freedesktop.org>

	* src/Makefile.am: 
	Use $(top_srcdir)/... instead of $(top_builddir)/... in INCLUDES
	Added $(top_srcdir) to INCLUDES 

2004-11-22  Carl Worth  <cworth@cworth.org>

	* configure.ac: Remove AC_CONFIG_AUX_DIR (it was in the wrong
	place for automake-1.9, and it was set to the default value
	anyway).

2004-10-18  Noah Levitt  <nlevitt@columbia.edu>

	* configure.ac: Export RENDER_CFLAGS.

2004-09-05  Keith Packard  <keithp@keithp.com>

	* configure.ac:
	Move AC_CONFIG_AUX_DIR above AM_INIT_AUTOMAKE to make 
	automake 1.9 happy

2004-07-29  Keith Packard  <keithp@keithp.com>

	* Makefile.am:
	* Xrender.h:
	* configure.ac:
	Update to protocol 0.9 which includes RenderAddTraps request

2004-04-10  Keith Packard  <keithp@keithp.com>

	reviewed by: Mark Ashley <mark@ibiblio.org>

	* Xrenderint.h:
	Solaris appears to need <string.h> included to compile
	this library.  Who knows.  It seems harmless enough,
	and the configure script already detected it's presence,
	so we just included it whenever available.

2004-02-03  Jim Gettys  <jg@freedesktop.org>

	* AUTHORS: Get a author's list going.

2004-01-15  Daniel Stone  <daniel@fooishbar.org>
	* Tag release 0.8.4 for first freedesktop.org clientside lib release.

2004-01-15  Harold L Hunt II <huntharo@msu.edu>
	* Makefile.am: Pass -no-undefined to libtool via LDFLAGS.

2003-12-12  Keith Packard  <keithp@keithp.com>

	* configure.ac:
	* xrender.pc.in:
	Use Requires: in xrender.pc when x11.pc exists

2003-06-08 10:56  keithp

	* Filter.c, Makefile.am, Xrender.c, Xrenderint.h, configure.ac:
	Bail on bogus Xsun servers, compile with -DXTHREADS if necessary,
	get rid of unecessary cast to XRenderInfo *

2003-05-06 09:05  branden

	* ChangeLog: Huh.  Did Keith tag xrender-0_8_2 *before* running
	cvs2cl?  Running it again.

2003-05-05 20:56  keithp

	* ChangeLog: Update ChangeLog with spiffy cvs2cl script (thanks
	Branden)

2003-05-05 20:49  keithp

	* configure.ac: Update version to 0.8.2, add some version-related
	comments

2003-05-05 20:18  branden

	* debian/: changelog, compat, control, copyright,
	libxrender-dev.install, libxrender-dev.postrm,
	libxrender-dev.preinst, libxrender1-dbg.install,
	libxrender1-dbg.postrm, libxrender1-dbg.preinst,
	libxrender1.install, libxrender1.postrm, libxrender1.preinst,
	rules: Check in Debian packaging infrastructure per Keith's
	request.  This is the stuff that corresponds to Debian's xrender
	0.8.1-1 package.

2003-05-05 19:06  keithp

	* Xrenderint.h, configure.ac: Remove bogus Xext.h include.  Fix
	Render version comparison

2003-05-03 13:00  keithp

	* Makefile.am, configure.ac: Bump to version 0.8.1, library version
	1.2.2 after extutil was removed

2003-04-26 08:52  nlevitt

	* Xrenderint.h: Get rid of reference to XMissingExtension. It's in
	libXext, which we don't link, and we don't want to print an error
	message anyway.

2003-04-23 20:29  nlevitt

	* ChangeLog, Composite.c, Cursor.c, FillRect.c, FillRects.c,
	Filter.c, Glyph.c, Makefile.am, Picture.c, Trap.c, Tri.c,
	Xrender.c, Xrenderint.h, configure.ac, extutil.h, xrender.pc.in:
	Get rid of libXext dependency.

2003-04-22 09:59  nlevitt

	* .cvsignore: Testing syncmail.

2003-04-21 23:41  nlevitt

	* xrender.pc.in: Xrender.h #includes render.h, so it needs the
	Render CFLAGS.

2003-04-21 23:12  nlevitt

	* xrender.pc.in: s/@PACKAGE_VERSION@/@VERSION@/ (Jeff Waugh, bug
	#71)

2003-04-21 21:46  nlevitt

	* Makefile.am, Xrenderint.h, configure.ac: Use local extutil.h if
	not installed on the system.

2003-04-21 10:36  keithp

	* COPYING, ChangeLog, INSTALL, configure.ac: Fix render header
	version check to use VERSION, eliminate duplicate version numbers
	from configure.ac

2003-04-21 10:22  keithp

	* Color.c, Composite.c, Cursor.c, FillRects.c, Filter.c, Glyph.c,
	Picture.c, Poly.c, Trap.c, Tri.c, Xrender-def.cpp, Xrender.h,
	Xrenderint.h, extutil.h: Switch CVS id tags so regular CVS can cope

2003-04-21 09:47  keithp

	* Makefile.am: Xrender .so is 1.2.  switch order of dependent
	libraries

2003-04-20 23:49  nlevitt

	* FillRect.c: Testing syncmail again.

2003-04-20 23:44  nlevitt

	* Xrender.c: Testing syncmail.

2003-04-19 16:02  nlevitt

	* xrender.pc.in: Add X libs to pkg-config --libs.

2003-04-19 11:32  nlevitt

	* Makefile.am: Link with -lX11 -lXext.

2003-04-19 11:21  nlevitt

	* Makefile.am, Xrenderint.h, configure.ac: Use installed
	<X11/extenstions/extutil.h>. (Thanks, jdub). Make sure X is found
	at ./configure time. Bump .so version to 1.1.1.

2003-04-17 17:43  nlevitt

	* configure.ac: Xrender version is the same as Render.

2003-04-17 16:41  nlevitt

	* .cvsignore: Quiet, please.

2003-04-17 15:53  nlevitt

	* xrender.pc.in: Fix typo

2003-04-17 15:49  nlevitt

	* Imakefile, Makefile.am, Xrenderint.h, autogen.sh, configure.ac,
	extutil.h, region.h, xrender.pc.in: Initial automake support.

2003-03-24 20:18  dawes

	* Xrender-def.cpp:   26. Updates for building on OS/2 (#5650, Frank
	Giessler).

2002-11-24 13:46  tsi

	* Cursor.c: Warning fix

2002-11-22 18:34  keithp

	* Cursor.c, Xrender.h: Add animate cursor support, client side

2002-11-21 18:10  keithp

	* Xrender.c: Skip unexpected data in QueryFormats.  Deal with
	broken X servers a bit better

2002-11-14 13:01  tsi

	* Imakefile: First pass at imake warnings.  + some ATI driver
	formatting changes.
	
	Please ensure these changes are reflected in DRI's CVS.

2002-11-06 14:47  keithp

	* Xrender.c, Xrender.h: XRenderQueryPictIndexValues support (from
	Olivier Chapuis).  Bump Render version to 0.7

2002-11-05 15:22  keithp

	* Glyph.c, Trap.c, Tri.c, Xrenderint.h: Render uses int for 32
	bits, Xlib uses long.  This matters on alpha

2002-10-17 18:13  keithp

	* Glyph.c: Miscomputing request length for String16 and String32

2002-10-01 07:31  alanh

	* Xrender-def.cpp:  358. Enable version controlled .dll's on
	Cygwin/XFree86 (Alexander Gottwald).
	 357. Some build fixes for Cygwin/XFree86 (Alan Hourihane).

2002-09-29 16:39  keithp

	* Xrender.c, Xrender.h: Update RandR to 1.0 (library version 2.0)

2002-09-27 09:40  keithp

	* Trap.c: Obey max request length even with BIG-REQUESTS

2002-09-25 19:56  keithp

	* Filter.c, Imakefile, Picture.c, Xrender.c, Xrender.h,
	Xrenderint.h: Add image transformation and sub-pixel ordering to
	Render

2002-08-31 11:15  keithp

	* Glyph.c: Remember not to write code at 1am. 
	CompositeText{8,16,32} werent switching glyphsets at the right
	time.

2002-08-30 23:52  keithp

	* Glyph.c: CompositeGlyphs functions were re-using overwritten data
	and trashing the output buffer

2002-08-22 22:48  keithp

	* Cursor.c, Imakefile, Xrender.h: Add CreateCursor request to
	Render

2002-07-24 08:26  tsi

	* Imakefile: Make libXrender buildable in non-XFree86 environments.

2002-06-07 11:04  keithp

	* Imakefile: Get Xrender to build out of the XFree86 environment

2002-06-04 16:22  keithp

	* Poly.c: Free edges structure after drawing Render polygons

2002-05-30 23:38  keithp

	* Imakefile: Fix up support for building Xft1, Xrender and
	fontconfig out of the tree

2002-05-21 13:39  keithp

	* Poly.c: Xrender library didnt render some concave polygons right

2002-05-17 16:54  keithp

	* Xrender.c: standard 1-bit render format had incorrect depth in
	spec

2002-05-17 15:34  keithp

	* Color.c, Imakefile, Xrender.h: Add Render color parse routine for
	rgba colorspace

2002-05-16 23:54  keithp

	* Poly.c: Another tesselation fix for Rendered polygons

2002-05-16 08:28  tsi

	* Poly.c: Warning fix

2002-05-14 23:43  keithp

	* Tri.c: Fix up triangle request encodings

2002-05-14 23:42  keithp

	* Xrender.c, Xrender.h: Add XRenderFindStandardFormat

2002-05-14 23:39  keithp

	* Poly.c: Redo tesselation to match foley and vanDam

2002-05-13 00:21  keithp

	* Poly.c: Make tesselation function do something reasonable

2002-05-12 22:21  keithp

	* Imakefile, Xrender.h, Poly.c, Trap.c, Tri.c: Update render
	extension to include trapezoids

2002-02-11 23:17  keithp

	* Glyph.c: XRenderFreeGlyphs wasnt sending the glyphset

2002-01-02 11:57  tsi

	* Glyph.c, Xrender.h: Resync with today's trunk.

2001-12-26 17:16  keithp

	* Glyph.c, Xrender.h: Add Render equivalents of XPolyText*

2001-12-18 09:08  tsi

	* FillRect.c, FillRects.c, Glyph.c, Picture.c, Xrender.c,
	Xrender.h: Another resync with HEAD branch.

2001-12-16 10:27  keithp

	* FillRect.c, FillRects.c, Glyph.c, Picture.c, Xrender.c,
	Xrender.h: lib/Xrender: add a bunch of _Xconst to make c++ happier

2001-10-10 20:26  keithp

	* Xrender.c: Check malloc return for Xrender query reply temp data

2001-09-05 13:13  mvojkovi

	* Xrender.c: 
	  Missing SyncHandle() in XRenderQueryFormats.

2001-07-31 17:44  tsi

	* Xrender.h:  168. Fix 16bpp colour maps on Mach64's (Marc La
	France).
	 167. Fix Mach64 DPMS bug (Marc La France).
	 166. Fix bug that prevented hardware cursors on Mach64 CT's (Marc
	La France).
	 165. Document what a ChipAdjustFrame() function should to to
	prevent moving
	      of hardware cursors during mode switches (Marc La France).
	 164. -Wimplicit warning cleanup [`make World` >required<] (Marc La
	France).
	 163. Ensure installed headers can find the headers they, in turn,
	#include
	      (Marc La France).
	 162. Make imake pass its -W* flags to cpp (Marc La France).
	 161. More accomodations for newer GCC's (Mike A. Harris).

2001-07-06 13:46  keithp

	* Xrender.c: Fix a couple of locking bugs in Xrender library

2001-05-16 03:33  keithp

	* Xrender.c: Clean up memory leaks in Xrender library

2001-02-13 11:19  dawes

	* Xrender-def.cpp:  135. Updates for Cygwin support (#4433, Suhaib
	M. Siddiqi).
	 134. Fix a bug in the fonts.sgml doc (#4432, Juliusz Chroboczek).
	 133. Fix the xdpyinfo so that it will build when the XKB extension
	isn't
	      defined (#4422, Jim Gettys).
	 132. Fix the xdm greeter so that it will build when the XKB
	extension isn't
	      defined (#4421, Jim Gettys).
	 131. Only build setxkbmap when building the XKB lib support (based
	on #4420,
	      Jim Gettys).
	 130. Improve the mga driver messages when the HAL module isn't
	available
	      (#4451, David Woodhouse).
	 129. Add G450 support to the mga driver (#4416, Luugi Marsan
	(Matrox),
	      4449, David Woodhouse).
	 128. Mga driver updates, including HAL cleanups, add a Crtc2Ram
	option,
	      and merge with Matrox beta4 source (#4415, Antii Tapaninen,
	#4423,
	      Simon Hosie).
	 127. Fix a rounding problem in the wacom driver that was causing
	some
	      position instability (#4417, Hannes Eriksson).

2000-12-07 15:55  keithp

	* Picture.c: Xrender: missing mask field in ChangePictureAttributes
	request encoding

2000-12-04 23:42  keithp

	* Picture.c: Xft,Xrender: make clip rectangles actually work

2000-12-04 19:13  keithp

	* Picture.c, Xrender.h: Xft,Xrender,Render: c++ support, clip
	rectangles, warnings

2000-12-04 13:01  dawes

	* Xrender-def.cpp: missing ident lines

2000-12-04 10:49  dawes

	* Xrender-def.cpp: 1085. Updates for Hurd support (#A.209, Marcus
	Brinkmann).  1084. Bump the minor revisions of libXmu (UTF8_STRING)
	and libX11	 (Xutf8LookupString).  1083. Fixes for all known
	bugs in the CompoundText parser and generator,	     (#4333, Bruno
	Haible).  1082. Fix documentation for XSetOMValues() (#4332, Bruno
	Haible).  1081. Fix namespace polution in <X11/Xlib.h> introduced
	with patch #4293       (#4331, Bruno Haible).  1080. Fix a bug in
	the newly introduced Xutf8LookupString() function that	     loses
	input not representable in the locale encoding (#4330,	     Bruno
	Haible).  1079. Avoid four new gcc warnings about const in lcUTF8.c
	introduced by	    patch #4293 (#4329, Bruno Haible).	1078. Fix
	some additional cases of confusing local typedef for wchar_t	  
	(#4328, Bruno Haible).	1077. Fix some round-trip conversion errors
	in COMPOUND_TEXT -> UTF8_STRING ->	 COMPOUND_TEXT due to wrong
	tables introduced by patches #4214, 4215       (#4327, Pablo
	Saratxaga).  1076. Cygwin update for building Xrender DLL (#4326,
	Suhaib M. Siddiqi).  1075. Fix an undefined SUBDIRS in
	xc/lib/GL/mesa/src/drv/Imakefile when	    compiling on something
	other than x86, alpha or sparc (#4325,	     Brian Paul).  1074.
	Don't have the neomagic driver disable stretching when a mode that 
	     fills the panel is selected (#4324, Andrew C. Aitchison). 
	1073. Fix a bug in Xlib's _XimLocalMbLookupString() that causes a
	crash when	 a zero keycode keypress event is received (#4322,
	HIBINO Kei).

2000-12-03 15:41  keithp

	* Xrender.h: Xrender: prototype using "template" collides with
	reserved c++ word

2000-12-02 01:38  keithp

	* Glyph.c: Xrender: 16/32 bit glyph functions using wrong minor
	request code

2000-12-01 13:31  keithp

	* Glyph.c, Picture.c, Xrender.c, Xrender.h: Xrender/Xft: handle
	long strings, use unsigned int for 32-bit glyphs

2000-11-29 00:25  keithp

	* Glyph.c, Xrender.h: add 16/32 bit glyph rendering to Xrender
	library

2000-11-19 23:13  keithp

	* FillRect.c, FillRects.c, Imakefile, Picture.c, Xrender.h: Add
	component alpha to Render extension

2000-08-27 19:43  tsi

	* Composite.c, Glyph.c, Picture.c, Xrender.c, Xrender.h,
	Xrenderint.h: Ident lines

2000-08-26 09:37  keithp

	* Imakefile: Get render library to actually build and install
	correctly

2000-08-25 17:38  keithp

	* Composite.c, Glyph.c, Imakefile, Picture.c, Xrender.c, Xrender.h,
	Xrenderint.h: Add Xrender library

